Get
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential": {
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"keyPrefix": "<string>",
"revokedAt": "2023-11-07T05:31:56Z",
"slotId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
}LLM Gateway Provider Credentials
Get
Invokes the c1.api.llm_gateway.v1.ProviderCredentialService.Get method.
GET
/
api
/
v1
/
llm-gateway
/
provider-credentials
/
{slot_id}
Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The slotId field.
Response
200 - application/json
Successful response
The GetProviderCredentialResponse message.
The ProviderCredential message.
Show child attributes
Show child attributes
Was this page helpful?
⌘I